Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 151433 - spamd generate child processes which occupies all memory
Summary: spamd generate child processes which occupies all memory
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: spamassassin
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Warren Togami
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 156390
TreeView+ depends on / blocked
 
Reported: 2005-03-17 20:40 UTC by Marcin Draminski
Modified: 2007-11-30 22:11 UTC (History)
5 users (show)

Fixed In Version: RHSA-2005-498
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-29 17:35:13 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:498 normal SHIPPED_LIVE Moderate: spamassassin security update 2005-06-23 04:00:00 UTC

Description Marcin Draminski 2005-03-17 20:40:42 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050302 Firefox/1.0.1 Fedora/1.0.1-1.3.2

Description of problem:
I'm trying to make evolution to use spamassassin, but when I download mails the spamd process generates several child processes which are eating all my memory.  To make it worse, after I have downloaded the mails those processes don't free any memory untill I kill them manually.

Version-Release number of selected component (if applicable):
3.0.1

How reproducible:
Always

Steps to Reproduce:
1.start evolution
2.download mails from mail server
3.ram memory gets filled up completely
  

Actual Results:  memory filled up completely and I had to kill manually the spamd processes

Expected Results:  spamd processes should stop automatically and free all used memory

Additional info:

Comment 1 Warren Togami 2005-04-03 10:51:00 UTC
http://people.redhat.com/wtogami/temp/spamassassin/
Please test the fc3 RPM from here, which is 3.0.2 plus some patches that might
help with your memory consumption problem.

Comment 2 Warren Togami 2005-04-29 05:33:33 UTC
Please test the spamassassin-3.0.3 now in FC3 updates.

Comment 3 Marcin Draminski 2005-04-29 10:27:39 UTC
It works OK now, thanks.  Memory is occupied but then it is released.
Regs.
Marcin


Note You need to log in before you can comment on or make changes to this bug.